<?php

namespace Thaolx\TrialPackage\Repositories\Criteria;

use Litepie\Contracts\Repository\Criteria as CriteriaInterface;
use Litepie\Contracts\Repository\Repository as RepositoryInterface;

class TrialpackageUserCriteria implements CriteriaInterface {

    public function apply($model, RepositoryInterface $repository)
    {
        $model = $model 
                        ->where('user_id','=', user_id('user.web'))
                        ->where('user_type','=', user_type('user.web'));

        return $model;
    }
}