<?php

namespace Thaolx\TrialPackage\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TrialpackageListTransformer extends TransformerAbstract
{
    public function transform(\Thaolx\TrialPackage\Models\Trialpackage $trialpackage)
    {
        return [
            'id'                => $trialpackage->getRouteKey(),
            'id'                => $trialpackage->id,
            'status'            => trans('app.'.$trialpackage->status),
            'created_at'        => format_date($trialpackage->created_at),
            'updated_at'        => format_date($trialpackage->updated_at),
        ];
    }
}