<?php

namespace Thaolx\TrialPackage\Repositories\Eloquent;

use Thaolx\TrialPackage\Interfaces\TrialpackageRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class TrialpackageRepository extends BaseRepository implements TrialpackageRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('thaolx.trial_package.trialpackage.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('thaolx.trial_package.trialpackage.model');
    }
}
